package com.ruoyi.ss.commandLog.mapper;


import com.ruoyi.ss.commandLog.domain.CommandLog;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * 命令日志Mapper接口
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
public interface CommandLogMapper
{
    /**
     * 查询命令日志
     *
     * @param id 命令日志主键
     * @return 命令日志
     */
    public CommandLog selectEtCommandLogById(Long id);

    /**
     * 查询命令日志列表
     *
     * @param eCommandLog 命令日志
     * @return 命令日志集合
     */
    public List<CommandLog> selectEtCommandLogList(CommandLog eCommandLog);

    /**
     * 新增命令日志
     *
     * @param eCommandLog 命令日志
     * @return 结果
     */
    public int insertEtCommandLog(CommandLog eCommandLog);

    /**
     * 修改命令日志
     *
     * @param eCommandLog 命令日志
     * @return 结果
     */
    public int updateEtCommandLog(CommandLog eCommandLog);

    /**
     * 删除命令日志
     *
     * @param id 命令日志主键
     * @return 结果
     */
    public int deleteEtCommandLogById(Long id);

    /**
     * 批量删除命令日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtCommandLogByIds(Long[] ids);

    int batchInsert(@Param("list") List<CommandLog> list);

    int clearBeforeDateLater(@Param("date") LocalDate date);
}
